cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Showing results for 
Search instead for 
Did you mean: 

Support dtd for different versions of Arbor Text Editor

Highlighted
Level 6

Support dtd for different versions of Arbor Text Editor

Hi,

We are trying to do  update  Arbor Text  Editor from version 5.4 to latest version of 7.1.

 

And we have a few dtd which need to be compiled with respect to the editor 7.1.

 

In doing so, we are loosing support for version 5.4.

 

We are getting the following popup in  older version of Arbor Text 5.4

 

 invalied-compile-doctype.PNG

 (if we are compiling the dtd with 5.4,then in 7.1 we are getting this dialog.)

 

Could anyone pease let us know if there is any work-around to support both the versions of Arbor Text.

 

Regards,

Venkatesh

 

2 REPLIES 2

Re: Support dtd for different versions of Arbor Text Editor

No, you will need separate custom/doctype folders for each version.

Re: Support dtd for different versions of Arbor Text Editor

Yes Gareth is correct. If you are dealing with SGML DTDs then you will need to create a separate Custom directory for each version since the DTDs are compiled. You can assign the DTDs automatically using the APTCUSTOM setting in your environmental variable. If you are using XML based DTDs then you do not have to compile them and you can access them with any version of the editor. We have separate directories fro 5.4, 6.0, 6.1, and 7.0 since we have not moved to 7.1 yet. Good luck.